Bug 803821 - Tech Preview: SELinux User Mapping
Summary: Tech Preview: SELinux User Mapping
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks: 816741
TreeView+ depends on / blocked
 
Reported: 2012-03-15 17:24 UTC by Rob Crittenden
Modified: 2012-06-14 19:16 UTC (History)
3 users (show)

Fixed In Version: ipa-2.2.0-8.el6
Doc Type: Bug Fix
Doc Text:
SELinux user mapping Red Hat Enterprise Linux 6.3 introduces the ability to control the SELinux context of a user on a remote system. SELinux user map rules can be defined and, optionally, associated with HBAC rules. These maps define the context a user receives depending on the host they are logging into and the group membership. When a user logs into a remote host which is configured to use SSSD with the Identity Management backend, the user's SELinux context is automatically set according to mapping rules defined for that user. For more information, refer to http://freeipa.org/page/SELinux_user_mapping. This feature is considered a Technology Preview.
Clone Of:
: 816741 (view as bug list)
Environment:
Last Closed: 2012-06-14 19:16:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rob Crittenden 2012-03-15 17:24:08 UTC
Description of problem:

Add support for SELinux User Mapping as a tech preview feature to IPA.

http://freeipa.org/page/SELinux_user_mapping

Comment 2 Martin Kosek 2012-03-30 06:56:43 UTC
Fixed upstream:

master: 55512dc938eb4a9a6655e473beab587e340af55c
ipa-2-2: a4796575717dceb8ca22d61e24766ede93f49690

Comment 5 Martin Kosek 2012-04-24 16:24:10 UTC
Rob, can you please add a short tech note about this feature in a CCCR format?

Comment 6 Rob Crittenden 2012-04-26 17:41:40 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Desire to be able to control the SELinux context a user would have on a remote system.

Consequence: The user's SELinux context was not controllable.

Change: SELinux user map rules can be defined and optionally associated with HBAC rules. These maps define the context a user will receive depending on the host they are logging into and group membership.

Result: When a user logs into a remote host which is configured to use sssd with the ipa backend then their SELinux context will be set if there are any mapping rules defined for them.

Comment 7 Jenny Severance 2012-04-26 20:40:26 UTC
Feature is in and in tech preview

Comment 8 Martin Prpič 2012-05-02 09:23:12 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1,3 @@
-Cause: Desire to be able to control the SELinux context a user would have on a remote system.
+SELinux user mapping
 
-Consequence: The user's SELinux context was not controllable.
+Red Hat Enterprise Linux 6.3 introduces the ability to control the SELinux context of a user on a remote system. SELinux user map rules can be defined and, optionally, associated with HBAC rules. These maps define the context a user receives depending on the host they are logging into and the group membership. When a user logs into a remote host which is configured to use SSSD with the Identity Management backend, the user's SELinux context is automatically set according to mapping rules defined for that user. For more information, refer to http://freeipa.org/page/SELinux_user_mapping. This feature is considered a Technology Preview.-
-Change: SELinux user map rules can be defined and optionally associated with HBAC rules. These maps define the context a user will receive depending on the host they are logging into and group membership.
-
-Result: When a user logs into a remote host which is configured to use sssd with the ipa backend then their SELinux context will be set if there are any mapping rules defined for them.


Note You need to log in before you can comment on or make changes to this bug.